| Home | Libraries | People | FAQ | More

## Function template remove_if

boost::compute::remove_if

## Synopsis

    // In header: <boost/compute/algorithm/remove_if.hpp>

    template<typename Iterator, typename Predicate>
      Iterator remove_if(Iterator first, Iterator last, Predicate predicate,
                         command_queue & queue = system::default_queue());

## Description

Removes each element for which `predicate` returns `true` in the range [`first`, `last`).

See Also:

remove()